# -*- coding: utf-8 -*-
# Copyright (c) 2010-2012 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: setup.py 50111 2012-08-17 12:55:25Z sylvain $

from setuptools import setup, find_packages
import os

name = 'infrae.copyright'


setup(
    name = name,
    version='1.0a1',
    author='Infrae',
    author_email='info@infrae.com',
    description='Buildout recipe to update copyright information in code',
    long_description=open('README.txt').read() + \
        open(os.path.join('docs', 'HISTORY.txt')).read(),
    url='https://svn.infrae.com/buildout/infrae.copyright/trunk/',
    license='BSD',
    keywords='update copyright headers buildout',
    classifiers=[
        'Framework :: Buildout',
        'License :: OSI Approved :: Zope Public License',
        'Topic :: Software Development :: Version Control',
        ],
    package_dir={'': 'src'},
    packages=find_packages('src'),
    namespace_packages = ['infrae'],
    install_requires = [
        'zc.buildout',
        'zc.recipe.egg',
        'setuptools'],
    entry_points = {
        'zc.buildout': ['default = %s:Recipe' % name],
        }
    )
